QGIS Application - Bug report #1215
"blue pencil” Attribute Edit
2008-08-08 04:48 AM - Serge Dikiy

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: GUI

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11275
Description

Can not edit object attributes -- when clicking on object in edit mode, info popup appears. Should appear "Enter attribute values", but
"ldentify results" pops up.

http://forum.qgis.org/viewtopic.php ?f=28#38;t=1349&#38;st=08#38;sk=t&#38;sd=a&#38;start=15

History

#1 - 2008-08-11 02:28 PM - Serge Dikiy

Please, modify [[QgsMapToolldentify]]::identifyVectorLayer in /trunk/qgis/src/app/qgsmaptoolidentify.cpp (add line from 417,516 to 589 in really used

function). If it@s possible.

#2 - 2008-08-12 03:35 AM - Serge Dikiy

Hi, Marco

What reason for remove ability 'Attribute Edit' in [[QgsMapToolldentify]]::identifyVectorLayer commit:2002f683 (SVN r7885)?

[https://trac.osgeo.org/qgis/browser/trunk/qgis/src/app/gqgsmaptoolidentify.cpp?rev=7884]

Thank you.

#3 - 2008-08-12 05:24 AM - Marco Hugentobler

Hi sdikiy

The reason is that [[QgsVectorLayer]] is not able to cope with geometry edits and attribute edits (uncommited changes) at the same time. It is a deficiency
and hopefully it can be solved in the future. Because of this deficiency, the attribute table is modal for attribute edits such that user has to close it before

doing further map editing. In the same sense, | commented out the code in [[QgsMapToolldentify]] that would allow users to change values in edit mode.

Marco

#4 - 2008-08-12 06:21 AM - Jiirgen Fischer

Replying to [comment:3 mhugent]:
http://forum.qgis.org/viewtopic.php?f=2&#38;t=1349&#38;st=0&#38;sk=t&#38;sd=a&#38;start=15
https://trac.osgeo.org/qgis/browser/trunk/qgis/src/app/qgsmaptoolidentify.cpp?rev=7884

The reason is that [[QgsVectorLayer]] is not able to cope with geometry edits and attribute edits (uncommited changes) at the same time.

What a coincidence. | just ran into that problem and working it...

See http://lists.osgeo.org/pipermail/qgis-developer/2008-August/004602.html

#5 - 2008-08-20 08:20 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:43278d72 (SVN r9093)

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

#7 - 2010-03-05 05:51 AM - Serge Dikiy
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

"Can not edit object attributes -- when clicking on object..." :-(

#8 - 2010-03-05 07:13 AM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to fixed

Replying to [comment:7 sdikiy]:

"Can not edit object attributes -- when clicking on object..." :-(

Huh? You can set the configure the identify tool to open the feature form when you identify a single feature - which is in editing mode, if the layer is. If you
hit multiple features, you need to open a feature form for each feature from the action form.
